diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureRubyglassSproutPatch.java b/game/core/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureRubyglassSproutPatch.java
index eacb8d7bb..9eca06b81 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureRubyglassSproutPatch.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureRubyglassSproutPatch.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.world.generate.feature;
 
-import net.minecraft.core.block.BlockLogicRubyglassGrowth;
+import net.minecraft.core.block.BlockLogicRubyglassSprout;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.pos.TilePos;
@@ -27,7 +27,7 @@ public class WorldFeatureRubyglassSproutPatch extends WorldFeature
             if(world.isAirBlock(x1, y1, z1) && Blocks.blocksList[blockId].canBlockStay(world, x1, y1, z1))
             {
                 world.setBlock(x1, y1, z1, blockId);
-                BlockLogicRubyglassGrowth.setDefaultDirection(world, new TilePos(x1, y1, z1));
+                BlockLogicRubyglassSprout.setDefaultDirection(world, new TilePos(x1, y1, z1));
             }
         }
 
diff --git a/game/core/src/main/resources/lang/en_US/item.lang b/game/core/src/main/resources/lang/en_US/item.lang
index 5b98af2c2..0368825e8 100644
--- a/game/core/src/main/resources/lang/en_US/item.lang
+++ b/game/core/src/main/resources/lang/en_US/item.lang
@@ -491,10 +491,10 @@ item.statue.pigman.desc=An ancient marble statue found in a long-forgotten place
 item.dough.name=Dough
 item.dough.desc=Uncooked dough. Can be baked into bread.
 
-item.rubyglass.crystal.cracked.name=Cracked Rubyglass Crystal
-item.rubyglass.crystal.cracked.desc=Cracked open and full of impurities. Must planted in Netherrack to purify.
-item.rubyglass.crystal.pure.name=Rubyglass Crystal
-item.rubyglass.crystal.pure.desc=A shard of sanguine crystal, perfectly intact and slightly translucent.
+item.rubyglass.crystal.cracked.name=Rubyglass Shards
+item.rubyglass.crystal.cracked.desc=Cracked and full of impurities. But still aesthetically pleasing.
+item.rubyglass.crystal.pure.name=Rubyglass
+item.rubyglass.crystal.pure.desc=A shard of charged Rubyglass crystal, brimming with energy. Perfectly intact and slightly translucent.
 
 item.sulfur.name=Sulfur
 item.sulfur.desc=Highly flammable and yellow. Packs a punch.
\ No newline at end of file
diff --git a/game/core/src/main/resources/lang/en_US/tile.lang b/game/core/src/main/resources/lang/en_US/tile.lang
index 163bee0e0..883ef3b6a 100644
--- a/game/core/src/main/resources/lang/en_US/tile.lang
+++ b/game/core/src/main/resources/lang/en_US/tile.lang
@@ -1409,13 +1409,17 @@ tile.glass.steel.desc=Like glass, but without the fragility.
 tile.rope.name=Rope
 tile.rope.desc=Rope, rope, rope your boat.
 
-tile.rubyglass.name=Block of Rubyglass
-tile.rubyglass.desc=A bright, iridescent crystal brimming with energy.
-tile.rubyglass.pure.name=Block of Pure Rubyglass
-tile.rubyglass.pure.desc=A bright, iridescent crystal brimming with energy. Contains fewer impurities than normal rubyglass.
+tile.rubyglass.column.name=Rubyglass Column
+tile.rubyglass.column.desc=A column of tightly packed Rubyglass. Breaks into dust when broken, but can be reassembled.
 
-tile.rubyglass.growth.name=Rubyglass Sprout
-tile.rubyglass.growth.desc=A small sprout of rubyglass, branching out in many directions.
+tile.rubyglass.node.name=Rubyglass Node
+tile.rubyglass.node.desc=A dense outcrop of Rubyglass. Crystals harvested from this node are purer and more durable than usual.
+
+tile.block.rubyglass.name=Block of Rubyglass
+tile.block.rubyglass.desc=A translucent glass-like crystal brimming with energy.
+
+tile.rubyglass.sprout.name=Rubyglass Bud
+tile.rubyglass.sprout.desc=A small bud of rubyglass, branching out in many directions. Can sprout from Crystalline Netherrack in the right conditions.
 
 tile.rubyglass.circuit.name=Rubyglass Circuit
 tile.rubyglass.circuit.desc=Netherrack etched with lines of rubyglass. It resonates with latent power.
diff --git a/util/datagen/src/main/java/net/minecraft/datagen/TrommelGenerator.java b/util/datagen/src/main/java/net/minecraft/datagen/TrommelGenerator.java
index 0aa619ea1..d6ba57395 100644
--- a/util/datagen/src/main/java/net/minecraft/datagen/TrommelGenerator.java
+++ b/util/datagen/src/main/java/net/minecraft/datagen/TrommelGenerator.java
@@ -78,7 +78,7 @@ public class TrommelGenerator {
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.ORE_RAW_GOLD), 1), 2)
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.ORE_RAW_IRON), 1), 1)
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.DUST_GLOWSTONE), 1, 6), 5)
-            .addEntry(new WeightedRandomLootObject(new ItemStack(Items.RUBYGLASS_CRYSTAL_CRACKED), 1, 3), 5)
+            .addEntry(new WeightedRandomLootObject(new ItemStack(Items.RUBYGLASS_DUST), 1, 3), 5)
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.NETHERCOAL), 1), 2)
             .create("soul_sand");
 
diff --git a/util/datagen/src/main/java/net/minecraft/datagen/WorkbenchGenerator.java b/util/datagen/src/main/java/net/minecraft/datagen/WorkbenchGenerator.java
index c498bb641..944946b8d 100644
--- a/util/datagen/src/main/java/net/minecraft/datagen/WorkbenchGenerator.java
+++ b/util/datagen/src/main/java/net/minecraft/datagen/WorkbenchGenerator.java
@@ -154,7 +154,7 @@ class WorkbenchGenerator {
                 "#R#")
             .addInput('#', Blocks.COBBLE_NETHERRACK)
             .addInput('S', Blocks.SOULSAND)
-            .addInput('N', Items.RUBYGLASS_CRYSTAL_PURE)
+            .addInput('N', Items.RUBYGLASS_CRYSTAL)
             .addInput('R', Items.DUST_REDSTONE)
             .create("activator", Blocks.ACTIVATOR_COBBLE_NETHERRACK.getDefaultStack());
 
@@ -1304,30 +1304,24 @@ class WorkbenchGenerator {
             )
             .addInput('#', Blocks.COBBLE_NETHERRACK)
             .addInput('Q', Items.QUARTZ)
-            .addInput('R', Items.RUBYGLASS_CRYSTAL_PURE)
+            .addInput('R', Items.RUBYGLASS_CRYSTAL)
             .addInput('S', Blocks.SOULSAND)
             .create("matcher", new ItemStack(Blocks.MATCHER, 1));
 
         RecipeBuilder.Shaped(CORE_NAMESPACE)
                 .setShape(
-                        "XX",
-                        "XX")
-                .addInput('X', Items.RUBYGLASS_CRYSTAL_CRACKED)
-                .create("rubyglass", new ItemStack(Blocks.RUBYGLASS, 1));
-
-        RecipeBuilder.Shaped(CORE_NAMESPACE)
-                .setShape(
-                        "XX",
-                        "XX")
-                .addInput('X', Items.RUBYGLASS_CRYSTAL_PURE)
-                .create("rubyglass_pure", new ItemStack(Blocks.RUBYGLASS_PURE, 1));
+                        "XXX",
+                        "XXX",
+                        "XXX")
+                .addInput('X', Items.RUBYGLASS_CRYSTAL)
+                .create("block_rubyglass", new ItemStack(Blocks.BLOCK_RUBYGLASS, 1));
 
         RecipeBuilder.Shaped(CORE_NAMESPACE)
                 .setShape(
                         "XOX",
                         "OOO",
                         "XOX")
-                .addInput('O', Items.RUBYGLASS_CRYSTAL_PURE)
+                .addInput('O', Items.RUBYGLASS_CRYSTAL)
                 .addInput('X', Blocks.COBBLE_NETHERRACK)
                 .create("rubyglass_circuit", new ItemStack(Blocks.RUBYGLASS_CIRCUIT, 1));
 
@@ -1337,7 +1331,7 @@ class WorkbenchGenerator {
                         "#RB",
                         "###")
                 .addInput('#', Blocks.COBBLE_NETHERRACK)
-                .addInput('R', Items.RUBYGLASS_CRYSTAL_PURE)
+                .addInput('R', Items.RUBYGLASS_CRYSTAL)
                 .addInput('B', Items.BONE)
                 .create("motion_sensor", Blocks.MOTION_SENSOR_IDLE.getDefaultStack());
     }
